Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 463236 (CVE-2012-6139) - <dev-libs/libxslt-1.1.28: "xsltDocumentFunction()" and "xsltAddKey()" Denial of Service Vulnerabilities (CVE-2012-6139)
Summary: <dev-libs/libxslt-1.1.28: "xsltDocumentFunction()" and "xsltAddKey()" Denial ...
Status: RESOLVED FIXED
Alias: CVE-2012-6139
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://secunia.com/advisories/52805/
Whiteboard: A3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-25 15:27 UTC by Agostino Sarubbo
Modified: 2014-01-10 14:53 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2013-03-25 15:27:06 UTC
From ${URL} :

Description
Two vulnerabilities have been reported in libxslt, which can be exploited by malicious people to cause a DoS (Denial of Service).

1) An error within the "xsltDocumentFunction()" function (libxslt/functions.c) when parsing XSL templates can be exploited to cause a crash.

2) A NULL-pointer dereference error within the "xsltAddKey()" function (libxslt/keys.c) when parsing XSL keys can be exploited to cause a crash.

The vulnerabilities are reported in versions prior to 1.1.28.


Solution
Update to version 1.1.28.

Provided and/or discovered by
The vendor credits Nicolas Gregoire.

Original Advisory
https://bugzilla.gnome.org/show_bug.cgi?id=685328
https://bugzilla.gnome.org/show_bug.cgi?id=685330


Nothing to do here for the gnome team.
Comment 1 Agostino Sarubbo gentoo-dev 2013-03-25 15:42:57 UTC
@security, please add it to existing glsa.
Comment 2 Sean Amoss gentoo-dev Security 2013-03-26 00:46:01 UTC
(In reply to comment #1)
> @security, please add it to existing glsa.

Added and updated. Thank you.

Side note for GLSA reviewers: both issues CVE MERGED to CVE-2012-6139 [1]

[1] http://seclists.org/oss-sec/2013/q1/738
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2013-04-19 11:26:15 UTC
CVE-2012-6139 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-6139):
  libxslt before 1.1.28 allows remote attackers to cause a denial of service
  (NULL pointer dereference and crash) via an (1) empty match attribute in a
  XSL key to the xsltAddKey function in keys.c or (2) uninitialized variable
  to the xsltDocumentFunction function in functions.c.
Comment 4 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-07-29 21:14:04 UTC
We don't have <dev-libs/libxslt-1.1.28 in the tree any more since March 2013.

Maybe it's finally time to mark this bug as resolved? :)
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2014-01-10 14:53:26 UTC
This issue was resolved and addressed in
 GLSA 201401-07 at http://security.gentoo.org/glsa/glsa-201401-07.xml
by GLSA coordinator Sergey Popov (pinkbyte).